<template>
    <!-- 弹出框表单 -->
    <el-dialog :title="title" :visible.sync="open" width="90%" append-to-body>
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="部门id号" prop="deptId" v-model="form.deptId" placeholder="请输入部门id号"/>
                            <Field label="部门名称" prop="deptName" v-model="form.deptName" placeholder="请输入部门名称"/>
                            <Field label="姓名" prop="name" v-model="form.name" placeholder="请输入姓名"/>
                            <Field label="工号" prop="number" v-model="form.number" placeholder="请输入工号"/>
                            <Field label="电话号码" prop="phone" v-model="form.phone" placeholder="请输入电话号码"/>
                            <Field label="照片" prop="photoPath" v-model="form.photoPath" type="textarea" placeholder="请输入照片"/>

            </el-row>

        </el-form>
        <div slot="footer" class="dialog-footer">
            <el-button type="primary" v-if="pageInfo.type !== 'view'" @click="submitForm">确 定</el-button>
            <el-button @click="cancel">取 消</el-button>
        </div>
    </el-dialog>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    import dialogShow from "./dialogshow";
    export default {
        mixins: [form],
        components: {
            dialogShow ,
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "工作人员",
                // 是否显示弹出层
                open: false,
                toString:[
                ],
                // 表单校验
                rules: {
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="workman/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改工作人员";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "workman/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增工作人员";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="workman/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "工作人员详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    deptId : 0,
                    deptName : "",
                    name : "",
                    number : "",
                    phone : "",
                    photoPath : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
